//  Windmill by Loyd L Towe
//  internet: towel@elcsci.com
//  compuserve: 70614,1721
//  used in multiple scenes

#include "tower.inc"

#declare PROP =
union {
triangle { <-1,0,0> <-.5,8,0> <1,0,0> }
triangle { <-.5,8,0> <.5,8,-.2> <1,0,0> }
triangle { <-1,0,0> <.5,-8,0> <1,0,0> }
triangle { <-1,0,0> <.5,-8,0> <-.5,-8,-.2> }
object { 
  cylinder { <0,0,.15>,<0,0,-.15>,1 }
  texture { Silver_Texture }
  }
texture { pigment { White } finish { Metal } }
rotate <0,-90,0>
}


#declare NOSECONE =
union {
  object {
      cone { <-0.2, 0.0, 0.0>, 1, <-0.6, 0.0, 0.0>, 0.8 }
      texture { pigment { Red } finish { phong .8 } }
      }
  object {
      cone { <-0.6, 0.0, 0.0>, 0.8, <-0.8, 0.0, 0.0>, 0.5 }
      texture { pigment { Red } finish { phong .8 } }
      }
  object {
      cone { <-0.8, 0.0, 0.0>, 0.5, <-1.0, 0.0, 0.0>, 0.0 }
      texture { pigment { Red } finish { phong .8 } }
      }
}


#declare BODY =
union {
  cylinder { <0.2, 0.0, 0.0> <5.0, 0.0, 0.0>, 1 }
  sphere { <5.0, 0.0, 0.0>, 1 }
  triangle { <4,1,0><5,1,0><5,2,0> }
  triangle { <1.5,0,0> <4.5,0,0> <4.5,0,-3> }
  triangle { <1.5,0,0> <4.5,0,0> <4.5,0,3> }
  texture { pigment { Gray50 } finish { Dull } }
}


#declare BASE =
union {
  box { <1.4, -1.3, -1.1> <3.6, -1.1, 1.1> }
  cylinder { <2.5, -1.3, 0.0> <2.5, 1.1, 0.0>, .25 }
  sphere { <2.5, 1.1, 0.0>, .25 }
  texture { pigment { Thistle } }
}


#declare MILL =
union {
  object { PROP rotate <45,0,0> }
  object { NOSECONE }
  object { BODY }
  object { BASE }
  object { TOWER translate <2.5,-1.3,0> }
}
